Package: org.codehaus.groovy.runtime.callsite

## [Java] Class MetaClassSite

- org.codehaus.groovy.runtime.callsite.MetaClassSite

-     public abstract class MetaClassSite
      extends AbstractCallSite

  Call site which holds reference to metaclass.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected MetaClass` | `metaClass` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractCallSite` | `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaClassSite(CallSite site, MetaClass metaClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCallSite` | `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

- - ### Field Detail

    - #### protected final MetaClass metaClass

  - ### Constructor Detail

    - #### public MetaClassSite(CallSite site, MetaClass metaClass)